From: "Grant Likely" <grant.likely@arm.com>
To: devel@edk2.groups.io
Cc: nd@arm.com, Grant Likely <grant.likely@arm.com>
Subject: [PATCH] Add support for building extra packages
Date: Thu, 12 Nov 2020 11:02:30 +0000 [thread overview]
Message-ID: <20201112110230.29195-1-grant.likely@arm.com> (raw)
The build.sh script is very useful for setting up the build environment
before calling the package build. Sometimes additional packages are
needed when building the SCT. (e.g., it is useful to build ShellPkg).
Refactor the build code to allow additional DSCs to be added to the
build.
Signed-off-by: Grant Likely <grant.likely@arm.com>
---
uefi-sct/SctPkg/build.sh | 34 +++++++++++++---------------------
1 file changed, 13 insertions(+), 21 deletions(-)
diff --git a/uefi-sct/SctPkg/build.sh b/uefi-sct/SctPkg/build.sh
index cad17ccd..e7c18fef 100755
--- a/uefi-sct/SctPkg/build.sh
+++ b/uefi-sct/SctPkg/build.sh
@@ -250,28 +250,20 @@ mkdir -p $DEST_DIR
cp $EDK_TOOLS_PATH/Source/C/bin/GenBin $DEST_DIR/GenBin
#
-# Build the SCT package
+# Build the packages needed for the SCT
+# Set $DSC_EXTRA to any extra packages needed for the build
#
-build -p SctPkg/UEFI/UEFI_SCT.dsc -a $SCT_TARGET_ARCH -t $TARGET_TOOLS -b $SCT_BUILD $3 $4 $5 $6 $7 $8 $9
-
-# Check if there is any error
-status=$?
-if test $status -ne 0
-then
-echo Could not build the UEFI SCT package
- exit -1
-fi
-
-build -p SctPkg/UEFI/IHV_SCT.dsc -a $SCT_TARGET_ARCH -t $TARGET_TOOLS -b $SCT_BUILD $3 $4 $5 $6 $7 $8 $9
-
-# Check if there is any error
-status=$?
-if test $status -ne 0
-then
-echo Could not build the IHV SCT package
- exit -1
-fi
-
+for DSC in SctPkg/UEFI/UEFI_SCT.dsc SctPkg/UEFI/IHV_SCT.dsc $DSC_EXTRA
+do
+ build -p $DSC -a $SCT_TARGET_ARCH -t $TARGET_TOOLS -b $SCT_BUILD $3 $4 $5 $6 $7 $8 $9
+ # Check if there is any error
+ status=$?
+ if test $status -ne 0
+ then
+ echo Could not build package $DSC
+ exit -1
+ fi
+done
#
# If the argument is clean, then don't have to generate Sct binary.
--
2.20.1
next reply other threads:[~2020-11-12 11:03 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-12 11:02 Grant Likely [this message]
2020-11-13 22:45 ` [edk2-devel] [PATCH] Add support for building extra packages Laszlo Ersek
2020-11-16 11:55 ` Grant Likely
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-list from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20201112110230.29195-1-grant.likely@arm.com \
--to=devel@edk2.groups.io \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox